## purple-matrix 0.0.0+git20170105

=== debian/changelog ===
purple-matrix (0.0.0+git20170105-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/copyright:
    - Update copyright years.
  * debian/control:
    - Sending invitations is now supported: update description.

 -- Alberto Garcia <berto@igalia.com>  Sat, 14 Jan 2017 14:45:32 +0200

purple-matrix (0.0.0+git20161120-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control:
    - Update description, it is now possible to upload and download
      images.

 -- Alberto Garcia <berto@igalia.com>  Tue, 22 Nov 2016 14:40:46 +0200

purple-matrix (0.0.0+git20161025-1) unstable; urgency=medium

  * Initial release (Closes: #809421).

 -- Alberto Garcia <berto@igalia.com>  Mon, 07 Nov 2016 16:53:38 +0200

## purple-matrix 0.0.0+git20170530

=== Makefile ===
#!/usr/bin/make -f

CC=gcc
LIBS=purple json-glib-1.0 glib-2.0

PKG_CONFIG=pkg-config
CFLAGS+=$(shell $(PKG_CONFIG) --cflags $(LIBS))
CFLAGS+=-fPIC -DPIC
LDLIBS+=$(shell pkg-config --libs $(LIBS))
LDLIBS+=-lhttp_parser

PLUGIN_DIR_PURPLE	=  $(shell $(PKG_CONFIG) --variable=plugindir purple)
DATA_ROOT_DIR_PURPLE	=  $(shell $(PKG_CONFIG) --variable=datarootdir purple)

TARGET=libmatrix.so

include Makefile.common

=== debian/changelog ===
purple-matrix (0.0.0+git20170530-1build1) bionic; urgency=medium

  * No-change rebuild for http-parser soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Nov 2017 14:00:15 +0000

purple-matrix (0.0.0+git20170530-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Alberto Garcia <berto@igalia.com>  Wed, 21 Jun 2017 21:59:38 +0300

purple-matrix (0.0.0+git20170313-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Alberto Garcia <berto@igalia.com>  Tue, 14 Mar 2017 17:51:04 +0200

=== debian/control ===
Source: purple-matrix
Section: net
Priority: optional
Maintainer: Alberto Garcia <berto@igalia.com>
Build-Depends: debhelper (>= 9),
               libglib2.0-dev,
               libhttp-parser-dev,
               libjson-glib-dev,
               libpurple-dev
Standards-Version: 3.9.8
Homepage: https://github.com/matrix-org/purple-matrix

Package: purple-matrix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Matrix plugin for libpurple
 Plugin for libpurple which adds the ability to communicate with
 matrix.org homeservers to any libpurple-based clients (such as
 Pidgin).
 .
 This project is somewhat alpha, and only basic functionality has been
 implemented. Sending and receiving simple text messages is supported,
 as is joining rooms you are invited to by other users.
 .
 The following are not yet supported:
  * Creating new rooms (and one-to-one chats)
  * Joining existing rooms by alias instead of room_id
  * Presence indication
  * Typing indication
  * Videos/rich text in messages
  * Account registration
  * Room topics
  * Voice/video calling

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
    https://github.com/matrix-org/purple-matrix/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## purple-matrix 0.0.0+git20180325

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PKG_CONFIG=pkg-config
 CFLAGS+=$(shell $(PKG_CONFIG) --cflags $(LIBS))
 CFLAGS+=-fPIC -DPIC
-LDLIBS+=$(shell pkg-config --libs $(LIBS))
+LDLIBS+=$(shell $(PKG_CONFIG) --libs $(LIBS))
 LDLIBS+=-lhttp_parser
 
 PLUGIN_DIR_PURPLE	=  $(shell $(PKG_CONFIG) --variable=plugindir purple)

=== debian/changelog ===
purple-matrix (0.0.0+git20180325-1build2) eoan; urgency=medium

  * No-change rebuild for http-parser soname change.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 20 Aug 2019 18:09:54 +0000

purple-matrix (0.0.0+git20180325-1build1) cosmic; urgency=medium

  * No-change rebuild for http-parser soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 May 2018 17:34:52 +0000

purple-matrix (0.0.0+git20180325-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #894066).

 -- Alberto Garcia <berto@igalia.com>  Mon, 26 Mar 2018 11:13:44 +0300

## purple-matrix 0.0.0+git20191228

=== Makefile ===
#!/usr/bin/make -f

CC=gcc
LIBS=purple json-glib-1.0 glib-2.0 sqlite3

PKG_CONFIG=pkg-config

PKG_CFLAGS:=$(shell $(PKG_CONFIG) --cflags $(LIBS) || echo "FAILED")
ifeq ($(PKG_CFLAGS),FAILED)
	$(error "$(PKG_CONFIG) failed")
endif
CFLAGS+=$(PKG_CFLAGS) -fPIC -DPIC

PKG_LDLIBS:=$(shell $(PKG_CONFIG) --libs $(LIBS) || echo "FAILED")
ifeq ($(PKG_LDLIBS),FAILED)
	$(error "$(PKG_CONFIG) failed")
endif
LDLIBS+=$(PKG_LDLIBS) -lhttp_parser

ifndef MATRIX_NO_E2E
LDLIBS+=-lolm -lgcrypt
endif

PLUGIN_DIR_PURPLE	=  $(shell $(PKG_CONFIG) --variable=plugindir purple)
DATA_ROOT_DIR_PURPLE	=  $(shell $(PKG_CONFIG) --variable=datarootdir purple)

TARGET=libmatrix.so

include Makefile.common

=== debian/changelog ===
purple-matrix (0.0.0+git20191228-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/patches/cflags.patch:
    - Refresh.
  * Use debhelper compatibility level 12.
    - Require debhelper-compat 12 in debian/control.
    - Remove debian/compat.
    - Don't pass --parallel to dh anymore in debian/rules.
  * debian/control:
    - Add build dependencies on libgcrypt20-dev, libolm-dev and
      libsqlite3-dev.
    - Update Standards-Version to 4.5.0.
    - Add Vcs-Browser and Vcs-Git fields.
    - Add Rules-Requires-Root: no.
    - Joining existing rooms by alias is now supported: update
      description.
  * Add debian/upstream/metadata.
  * debian/copyright:
    - Update copyright years.
  * debian/watch:
    - Remove dh_make template.

 -- Alberto Garcia <berto@igalia.com>  Tue, 11 Feb 2020 17:31:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,19 @@
 Section: net
 Priority: optional
 Maintainer: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
+               libgcrypt20-dev,
                libglib2.0-dev,
                libhttp-parser-dev,
                libjson-glib-dev,
-               libpurple-dev
-Standards-Version: 3.9.8
+               libolm-dev,
+               libpurple-dev,
+               libsqlite3-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/matrix-org/purple-matrix
+Vcs-Browser: https://salsa.debian.org/berto/purple-matrix
+Vcs-Git: https://salsa.debian.org/berto/purple-matrix.git
 
 Package: purple-matrix
 Architecture: any
@@ -24,7 +30,6 @@
  .
  The following are not yet supported:
   * Creating new rooms (and one-to-one chats)
-  * Joining existing rooms by alias instead of room_id
   * Presence indication
   * Typing indication
   * Videos/rich text in messages

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%purple-matrix-$1.tar.gz%" \
    https://github.com/matrix-org/purple-matrix/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
